Subject: bug#4263: 23.1; initial point for vc-dir on wrong line

From: Tom Tromey <[email-masked]>
Date: Wed, 13 Jul 2011 07:10:41 -0600

Tom> I typed C-x v d to enter vc-dir.
Tom> Point is initially at the beginning of the buffer.
Tom> If I type "n", it confusingly moves to the second file in the listing.
Tom> I think vc-dir would be less confusing if point started on the
Tom> line corresponding to the first file.

Lars> Starting on any of the lines would be inconvenient, because subsequent
Lars> commands (like `v') would then work on that file only, which usually
Lars> isn't what you want.

I meant point should start on the line for './'.  This would still do
the right thing for commands like 'v'.

Right now it starts at the beginning of the buffer.  Then 'n' acts
strangely.

Tom